> ## Documentation Index
> Fetch the complete documentation index at: https://docs.infinity.swiss/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete work entry

> Deletes a work entry from a project. Deleting a work entry that has already been billed does not change any invoice that was already issued from it.

## Deleting a work entry

Removes a work entry from its project. The project's unbilled value and recorded time are updated accordingly.

<Note>
  Deleting a work entry that has already been billed does not change any invoice
  that was already issued from it. To correct an issued invoice, annul or edit
  the invoice itself.
</Note>


## OpenAPI

````yaml DELETE /v1/projects/{projectId}/work-entries/{workEntryId}
openapi: 3.1.0
info:
  title: infinity.swiss Open API
  version: '1.0'
  summary: ''
servers:
  - url: https://api.infinity.swiss
security:
  - apiKey: []
paths:
  /v1/projects/{projectId}/work-entries/{workEntryId}:
    parameters:
      - schema:
          type: string
        name: projectId
        in: path
        description: The id of the project the work entry belongs to.
        required: true
      - schema:
          type: string
        name: workEntryId
        in: path
        description: The id of the specific work entry.
        required: true
    delete:
      tags: []
      summary: Delete work entry
      description: >-
        Deletes a work entry from a project. Deleting a work entry that has
        already been billed does not change any invoice that was already issued
        from it.
      operationId: delete-work-entry-by-id-v1
      responses:
        '200':
          description: The work entry was deleted successfully.
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
        '401':
          $ref: '#/components/responses/Unauthorised'
        '404':
          $ref: '#/components/responses/WorkEntryNotFound'
components:
  responses:
    Unauthorised:
      description: >-
        An unauthorised request was submitted. You may be using an incorrect or
        expired API token, or are attempting to access a document outside of the
        scope of the token.
      content:
        application/json:
          schema:
            type: object
            properties:
              code:
                type: string
                x-stoplight:
                  id: 08hkw8ukmi2lp
                description: Specific error code
          examples:
            Unauthorised request:
              value:
                code: general/unauthorised
    WorkEntryNotFound:
      description: >-
        The project could not be found in this organisation, or it has no work
        entry with the given id.
      content:
        application/json:
          schema:
            type: object
            properties:
              code:
                type: string
                description: |-
                  The specific error code for this request. May be:
                  - `projects/not-found` when the project does not exist
                  - `general/not-found` when the project has no such work entry
  securitySchemes:
    apiKey:
      name: x-api-token
      type: apiKey
      in: header
      description: >-
        API token for authentication. Obtain from your Infinity account
        settings.

````